using System.Xml.Serialization;

namespace NewRock.Sdk.Events
{
    [XmlRoot("Event")]
    public class FailedEvent: NewRockEvent
    {
        [XmlElement("called")]
        public Called Called { get; set; }

        [XmlElement("err")]
        public Err Err { get; set; }
    }

    public class Called
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class Err
    {
        [XmlAttribute("code")]
        public string Code { get; set; }

        [XmlAttribute("reason")]
        public string Reason { get; set; }
    }
}
